BLUR_IMAGE(1)

NAME
blur_image - Off-screen image blurring utility using OpenGL ES 3.0.

SYNOPSIS
blur_image <input_file> [FLAGS] -o <output_file>

DESCRIPTION
This manual page documents briefly the blur_image command as provided by blur-effect package.

The binary program blur_image generates images with Blur Effect.

OPTIONS

-r <radius>
    radius now should be odd number ranging [3-49]

-S <sigma>
    sample distance (default 1.0)

-b  adjust brightness after blurring

-d <drmdev>
    use drmdev (/dev/dri/card0 e.g) to render

-l <percent>
    multiple current lightness by percent [0.0-1.0]

-s <percent>
    multiple current saturation by percent [0.0-1.0]

-p <rendering passes>
    iterate passes of rendering, ranging [1-INF]

EXAMPLE
blur_image -d /dev/dri/renderD128 -p 6 -r 7 "/usr/share/wallpapers/deepin/Garden In The Autumn.jpg" -o out.jpg

SEE ALSO

This program is further documented in the README.md as provided with this debian package under /usr/share/doc/blur-effect/ directory.

AUTHOR

blur_image is written by Sian Cao.

This manual page was written by Arun Kumar Pariyar (openarungeek@gmail.com) for the Debian Project (but may be used by others).